{ pkgs, options, ... }:

let unstable = import <nixos-unstable> { };
in {
  environment.systemPackages = with pkgs; [
    cryptsetup
    dnsutils
    dogdns
    k9s
    kind
    kubectl
    kubeseal
    pwgen
    whois
    unstable.argocd
    unstable.kubernetes-helm
    unstable.kustomize
    unstable.vault

    docker-compose
    fuse-overlayfs
    qemu
    virt-manager

    (import ../packages/skaffold.nix)
    (import ../packages/helm2.nix)
    (import ../packages/certmanager.nix)
  ];

  virtualisation.docker = {
    enable = true;
    storageDriver = "zfs";
  };
  virtualisation.libvirtd.enable = true;
}
