{ config, lib, pkgs, ... }:

let unstable = import <nixos-unstable> { };
in {
  environment.systemPackages = with pkgs;
    [
      # embedded
      #arduino
      #avrdude
      #gcc-arm-embedded
      #openocd
      #pkgsCross.avr.avrlibc
      #pkgsCross.avr.buildPackages.binutils
      #pkgsCross.avr.buildPackages.gcc8
      #pkgsCross.avr.libcCross

      #cura
      #candle
      openscad
      #kicad
      #blender
      #python3Packages.numpy
      #python3Packages.shapely

      #steam
      #unstable.obs-studio
    ];

  # stm32 debugger
  users.extraGroups.plugdev = { };
  users.extraUsers.stefan.extraGroups = [ "plugdev" "dialout" ];
  services.udev.packages = [ pkgs.openocd ];

  # steam dependencies
  #hardware.opengl.driSupport32Bit = true;
  #hardware.opengl.driSupport = true;

  fileSystems."/mnt/nfs" = {
    device = "10.1.20.29:/srv/nfs";
    fsType = "nfs";
    options = [ "x-systemd.automount" "noauto" "x-systemd.idle-timeout=120" ];
  };

  networking.extraHosts = ''
    162.55.40.34 mail.f2o.io
  '';
}
